# $Id: libemf2svg.spec 388 2020-08-08 20:53:12Z ccachat $

%if 0%{?rhel} && 0%{?rhel} < 7
%{error:Need EPEL 7 at least.}
%endif

Name:           libemf2svg
Version:        1.1.0
Release:        1%{?dist}.frs
Summary:        MS EMF (Enhanced Metafile) to SVG conversion tol and library

Group:          Applications/Multimedia
License:        GPL
URL:            https://github.com/kakwa/%{name}
Source:         https://github.com/kakwa/%{name}/tarball/%{version}/%{name}-%{version}.tar.gz
Patch:          libemf2svg-cmakeversion.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake libpng-devel freetype-devel fontconfig-devel gcc-c++ gcc
Requires:       libpng, freetype

%description
By themselves, EMF/EMF+ files are rare in the wild. However, they are frequently embedded inside other MS file formats.

This project was started to properly convert Visio stencils (.VSS) to svg and be able to reuse public stencils in other environments than MS Visio (see libvisio2svg).

However this project could be use beyond its original motivations to handle emf blobs in any MS formats.

%package tools
Summary:        Development files for the libemf2svg
Group:          Application/Multimedia
Requires:       %{name} = %{version}-%{release}

%description tools
Tools to convert EMF to SVG using library libemf2svg

%package devel
Summary:        Development files for the libemf2svg
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for the libemf2svg

%prep
%setup -c
cd *%{name}*
%patch -p1 -b.cmakeversion

%build

%if 0%{?rhel} == 7
%cmake *%{name}*
make %{?_smp_mflags}
%else
%cmake *%{name}* -B build
make -C build %{?_smp_mflags}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if 0%{?rhel} == 7
make install DESTDIR=$RPM_BUILD_ROOT
%else
make -C build install DESTDIR=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files tools
%defattr(-,root,root,-)
%doc */LICENSE */README.md
%{_bindir}/*

%files
%defattr(-,root,root,-)
%doc */LICENSE */README.md
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/%{name}.so

%changelog
* Sat Aug  8 2020 RPM Packager <packager@fr-software.com> - 1.1.0
- Built RPM

